Hi Lukas,

Thank you so much for your reply. I have tried what you told.

I have opened pom.xml. I have seendifferent profile id(s) and  by default Hadoop-0.20.203 is true. I have changed by default activation property to Hadoop-2.0.0 but build failed with -

[ERROR] The build could not read 1 project -> [Help 1]
[ERROR]  
[ERROR]   The project org.apache.giraph:giraph-core:1.0.0 (/giraph-folder/giraph-core/pom.xml) has 1 error
[ERROR]     Non-parseable POM /giraph-folder/giraph-core/pom.xml: TEXT must be immediately followed by END_TAG and not START_TAG (position: START_TAG seen ...<activation>\n        <activeByDefault>... @826:26)  @ /home/agrta/giraph-1.0nw/pom.xml, line 826, column 26 -> [Help 2]

Please Help.

Regards,
Agrta Rawat




On Mon, Mar 31, 2014 at 6:02 PM, Lukas Nalezenec <lukas.nalezenec@firma.seznam.cz> wrote:
Open pom.xml file from giraph-parent project, choose corresponding maven profile, active it from command line and recompile Giraph.

Lukas


On 31.3.2014 14:29, Agrta Rawat wrote:
Hi All,

I need to build Giraph 1.0.0 for Hadoop version2.0.0. how can I build Giraph jar for a specific version of Hadoop? Do i need to make some changes in any configuration file?

Please suggest. Appreciate your help.

Thanks.

Regards,
Agrta Rawat